Retrieving
const orderId = "ID_OF_YOUR_ORDER";
const getOrder = async (orderId) => {
const getOrderResponse = await fetch(
`https://api.autoenhance.ai/v3/orders/${orderId}`,
{ method: "GET" }
);
const { order_id, name, images, status } = await getOrderResponse.json();
}order_id = "ID_OF_YOUR_ORDER";
def get_order(order_id):
url = f"https://api.autoenhance.ai/v3/orders/{order_id}"
response = requests.get(url)
response_data = response.json()
order_id = response_data.get('order_id')
name = response_data.get('name')
images = response_data.get('images')
status = response_data.get('status')
return order_id, name, images, statusSpecification
Retrieve a specific order. Images can be sorted using the sort_images_by parameter.
Path parameters
idstringRequired
Query parameters
sort_images_byundefined · enumOptionalPossible values:
Specifies sort order for images in the order
Responses
200
Successful response
application/json
created_atstring · date-timeOptional
The creation date of the order.
default_image_sort_orderundefined · enumOptionalPossible values:
Default sort order for images in the order.
imagesanyRead-onlyOptional
The list of images for the order.
is_deletedbooleanOptional
The status of the order.
is_mergingbooleanOptional
The processing status for the order
is_processingbooleanOptional
The processing status for the order
last_updated_atstring · date-timeOptional
The last updated date of the order.
namestringOptional
The name for the order.
order_idstringOptional
The ID for the order.
statusanyRead-onlyOptional
The status of the order.
total_imagesnumberOptional
Number of images in the order.
404
Not found
application/json
422
Validation error
application/json
get
/v3/orders/{id}Last updated
Was this helpful?